GIT-DEBORIG(1)

NAME
git-deborig - try to produce Debian orig.tar using git-archive(1)

SYNOPSIS
git deborig [--force|-f] [--just-print|--just-print-tag-names] [--version=VERSION] [COMMITTISH]

DESCRIPTION
git-deborig tries to produce the orig.tar you need for your upload by calling git-archive(1) on an existing git tag or branch head. It was written with the dgit-maint-merge(7) workflow in mind, but can be used with other workflows.

git-deborig will try several common tag names. If this fails, or if more than one of those common tags are present, you can specify the tag or branch head to archive on the command line (COMMITTISH above).

git-deborig will override gitattributes(5) that would cause the contents of the tarball generated by git-archive(1) not to be identical with the commitish archived: the export-subst and export-ignore attributes.

git-deborig should be invoked from the root of the git repository, which should contain debian/changelog.

OPTIONS

-f|--force
    Overwrite any existing orig.tar in the parent directory.

--just-print
    Instead of actually invoking git-archive(1), output information about how it would be invoked. Ignores --force.

    Note that running the git-archive(1) invocation outputted with this option may not produce the same output. This is because git-deborig takes care to disables git attributes otherwise heeded by git-archive(1), as detailed above.

--just-print-tag-names
    Instead of actually invoking git-archive(1), or even checking which tags exist, print the tag names we would consider for the upstream version number in the first entry in the Debian changelog, or that supplied with --version.

--version=VERSION
    Instead of reading the new upstream version from the first entry in the Debian changelog, use VERSION.

SEE ALSO
git-archive(1), dgit-maint-merge(7), dgit-maint-debrebase(7)

AUTHOR
git-deborig was written by Sean Whitton <spwhitton@spwhitton.name>.